UbixOS V2 2.0

Data Structures | Macros | Functions | Variables
kprintf.c File Reference
`#include <lib/kprintf.h>`
`#include <string.h>`
`#include <sys/video.h>`
`#include <ubixos/kpanic.h>`
Include dependency graph for kprintf.c:

Go to the source code of this file.

## Data Structures
union | uu

## Macros
#define | PCHAR(c) {int cc=(c); if (func) (*func)(cc,arg); else *d++ = cc; retval++; }

## Functions
u_quad_t | __qdivrem (u_quad_t uq, u_quad_t vq, u_quad_t *arq)
u_quad_t | __umoddi3 (u_quad_t a, u_quad_t b)
int | kprintf (const char *fmt,...)
int | kvprintf (const char *fmt, void(*func)(int, void *), void *arg, int radix, va_list ap)
int | sprintf (char *buf, const char *fmt,...)

## Variables
int | ogprintOff = 0x1
int | printOff = 0x0

## Macro Definition Documentation

## ◆ PCHAR

#define PCHAR | ( |  | c | ) | {int cc=(c); if (func) (*func)(cc,arg); else *d++ = cc; retval++; }

## Function Documentation

## ◆ __qdivrem()

u_quad_t __qdivrem | ( | u_quad_t | uq,
|  | u_quad_t | vq,
|  | u_quad_t * | arq
| ) |  |

Definition at line 56 of file kprintf.c.

References B, COMBINE, H, HHALF, L, LHALF, uu::q, uu::ul, and uu::uq.

Referenced by __umoddi3().

## ◆ __umoddi3()

u_quad_t __umoddi3 | ( | u_quad_t | a,
|  | u_quad_t | b
| ) |  |

Definition at line 248 of file kprintf.c.

References __qdivrem().

Here is the call graph for this function:

## ◆ kprintf()

int kprintf | ( | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 259 of file kprintf.c.

References kprint(), kvprintf(), NULL, ogPrintf(), ogprintOff, printOff, va_end, and va_start.

Referenced by __assert(), access(), addDirEntry(), apicMagic(), arp_arp_input(), biosCall(), close(), device_add(), die_if_kernel(), dup2(), execFile(), fat_initialize(), fcntl(), fdestroy(), ffs_read(), fopen(), fork_copyProcess(), freebsd6_mmap(), fstat(), getdtablesize(), getfd(), getgid(), getpid(), gettimeofday_new(), getuid(), hdInit(), hdRead(), hdWrite(), i8259_init(), initLNC(), invalidCall(), invalidCall_posix(), InvalidSystemCall(), kern_openat(), kmod_add(), kmod_load(), kpanic(), ldEnable(), lnc_INT(), lnc_switchDWord(), lncAttach(), lncInt(), mouseHandler(), open_fat(), pci_init(), pciProbe(), pit_init(), qT(), read(), read_fat(), readlink(), sdeThread(), sem_init(), sys_call(), sys_call_posix(), sys_close(), sys_fopen(), sys_fseek(), sys_fwrite(), sys_getrlimit(), sys_invalid(), sys_ioctl(), sys_lseek(), sys_mpiPostMessage(), sys_open(), sys_openat(), sys_pread(), sys_read(), sys_readlink(), sys_sem_new(), sys_setrlimit(), sys_setsockopt(), sys_sigprocmask(), sys_socket(), sys_sysarch(), sys_write(), sysAuth(), sysExec(), sysMkDir(), sysPasswd(), sysSDE(), systemTask(), ubixfs_initialize(), ubthread_mutex_lock(), ubthread_mutex_unlock(), ufs_writeFile(), vfs_init(), vfs_mount(), vitals_init(), vmm_pageFault(), vmm_pagingInit(), and write_fat().

Here is the call graph for this function:

## ◆ kvprintf()

int kvprintf | ( | const char * | fmt,
|  | void(*)(int, void *) | func,
|  | void * | arg,
|  | int | radix,
|  | va_list | ap
| ) |  |

Definition at line 315 of file kprintf.c.

References MAXNBUF, NULL, PCHAR, uu::q, and va_arg.

Referenced by kprintf(), and sprintf().

## ◆ sprintf()

int sprintf | ( | char * | buf,
|  | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 278 of file kprintf.c.

References kvprintf(), NULL, va_end, and va_start.

Referenced by fopen(), sys_chdir(), sys_fchdir(), sys_fstatfs(), sys_getcwd(), sys_statfs(), sysGetCwd(), sysMkDir(), ubixFSLoadDir(), ubixFSmkDir(), and vfs_mount().

Here is the call graph for this function:

## Variable Documentation

## ◆ ogprintOff

int ogprintOff = 0x1

Definition at line 257 of file kprintf.c.

Referenced by kprintf(), sdeThread(), and systemTask().

## ◆ printOff

int printOff = 0x0

Definition at line 256 of file kprintf.c.

Referenced by kprintf(), sdeThread(), ogDisplay_UbixOS::SetMode(), and systemTask().